# $Revision: 1.32 $, $Date: 2012/04/27 18:30:13 $
# TODO
# - lightdm, slim, entrance, wdm support as XDM
Summary:	The default startup scripts for the X Window System
Summary(pl.UTF-8):	Domyślne skrypty startowe X Window System
Name:		xinitrc-ng
Version:	1.1
Release:	1
License:	GPL
Group:		X11
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	f369317256368bf00dd07957929d5a63
URL:		http://svn.pld-linux.org/trac/svn/wiki/packages/xinitrc-ng
Requires:	/bin/sh
Requires:	which
Requires:	xorg-app-setxkbmap
Requires:	xorg-app-twm
Requires:	xorg-app-xmodmap
Requires:	xorg-app-xrdb
Provides:	xinitrc >= 3.0
Obsoletes:	xinitrc < 3.0
Obsoletes:	xscripts
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xinitrc-ng package contains the scripts which are used to start a
window manager and apropriate configuration files.

%description -l pl.UTF-8
Pakiet xinitrc-ng zawiera skrypty do uruchomienia zarządcy okien oraz
odpowiednie plik konfiguracyjne.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_sysconfdir}/X11/xinit/Xclients
%attr(755,root,root) %{_sysconfdir}/X11/xinit/xinitrc
%attr(755,root,root) %{_sysconfdir}/X11/xinit/prefdm
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/xinit/Xmodmap
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/xinit/Xresources
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/xinit/xinitdefs
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xinitrc-ng.spec,v $
Revision 1.32  2012/04/27 18:30:13  baggins
- 1.1

Revision 1.31  2012/03/18 13:52:31  glen
- more XDM todo

Revision 1.30  2012/03/15 11:22:27  baggins
- up to 1.0
- added prefdm script
- scripts are not configs

Revision 1.29  2012/01/29 13:23:23  glen
- add URL

Revision 1.28  2011/08/29 07:57:36  glen
- avoid self obsoletion

Revision 1.27  2011/07/29 09:24:50  baggins
- rel 2
- don't force xft.dpi setting, see http://lists.pld-linux.org/mailman/pipermail/pld-devel-pl/2011-July/153967.html

Revision 1.26  2011/07/28 16:20:12  baggins
- up to 0.9
- profile patch applied upstream
- updated R

Revision 1.25  2011/02/23 13:24:28  baggins
- rel 9
- load /etc/profile on session startup (needed for example if someone
  wants to set up environment via /etc/env.d)

Revision 1.24  2010/02/01 12:13:28  glen
- R xmodmap; rel 8

Revision 1.23  2007/09/05 13:30:24  baggins
- rel 7

Revision 1.22  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.21  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.20  2006/10/14 21:44:21  qboosh
- sorted Rs too

Revision 1.19  2006/10/14 21:42:55  qboosh
- unified

Revision 1.18  2006/08/23 18:43:52  havner
- /etc/sysconfig/wmstyle and /usr/share/xsessions only moved to
  filesystem.spec as it already contains xinitrc related dirs
- rel up

Revision 1.17  2006/08/23 11:41:17  havner
- /etc/sysconfig/wmstyle added
- rel 5

Revision 1.16  2006/07/12 20:29:12  freetz
- don't own shared dir, rel.4

Revision 1.15  2006/05/25 17:26:23  arekm
- add /usr/share/xsessions

Revision 1.14  2006/03/21 19:35:31  patrys
- rel up for th

Revision 1.13  2006/03/05 00:32:29  aredridel
- modular xorg deps

Revision 1.12  2005/12/04 23:37:16  glen
- adapterized (sorted %verify flags)

Revision 1.11  2004/05/06 00:50:27  adgor
- 0.8

Revision 1.10  2004/04/30 19:31:07  adgor
- 0.7 (with HOME_ETC support)

Revision 1.9  2004/04/30 18:40:55  adgor
- 0.6

Revision 1.8  2004/04/04 00:49:50  adgor
- 0.5

Revision 1.7  2004/03/20 12:37:28  adgor
- 0.4

Revision 1.6  2004/03/15 14:40:24  adgor
- 0.3

Revision 1.5  2004/02/22 13:09:19  adgor
- Fixed src url

Revision 1.4  2004/01/11 00:27:20  eothane
- proper ep09 address

Revision 1.3  2003/09/30 21:44:16  adgor
- 0.2

Revision 1.2  2003/09/29 15:51:47  adgor
- Provides xinitrc = 3.0

Revision 1.1  2003/09/28 20:41:35  adgor
- Initial
